PHP Manual
Prev |  | Next

# px_open_fp

(PECL)

px_open_fp -- Open paradox database

## Description

bool px_open_fp ( resource pxdoc, resource file )

Open an existing paradox database file. The actual file has to be opened before with fopen(). This function can also be used to open primary index files and tread them like a paradox database. This is supported for those who would like to investigate a primary index. It cannot be used to accelerate access to a database file.

## Parameters

pxdoc

  pxdoc is the return value of px_new().

file

  file is the return value from fopen() with the actual database file as parameter.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

fopen()
The example at px_new()

Prev | Home | Next
px_numrecords | Up | px_put_record